OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_Subface Class Reference

Representation of STEP entity Subface
.

`#include <StepShape_Subface.hxx>`

Inheritance diagram for StepShape_Subface:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_Subface ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_HArray1OfFaceBound)&aFace_Bounds, const Handle(StepShape_Face)&aParentFace)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_Face | ParentFace () const
| Returns field ParentFace .
Standard_EXPORT void | SetParentFace (const Handle(StepShape_Face)&ParentFace)
| Set field ParentFace .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_Face | theParentFace

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Subface::StepShape_Subface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_Subface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Face.

Standard_EXPORT void StepShape_Subface::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_HArray1OfFaceBound)& | aFace_Bounds,
|  | const Handle(StepShape_Face)& | aParentFace
| ) |

Standard_EXPORT Handle_StepShape_Face StepShape_Subface::ParentFace | ( |  | ) | const

Standard_EXPORT void StepShape_Subface::SetParentFace | ( | const Handle(StepShape_Face)& | ParentFace | ) |

## Field Documentation

Handle_StepShape_Face StepShape_Subface::theParentFace`[private]`

The documentation for this class was generated from the following file:

- StepShape_Subface.hxx